# Uses of Class
org.eclipse.birt.core.framework.FrameworkException

Packages that use FrameworkException
Package
Description
org.eclipse.birt.core.framework
Defines the platform interfaces that allow BIRT to be run in Eclipse and server environments.
org.eclipse.birt.core.framework.osgi

## Uses of FrameworkException in org.eclipse.birt.core.framework

Methods in org.eclipse.birt.core.framework that throw FrameworkException
Modifier and Type
Method
Description
`Object`
IConfigurationElement.`createExecutableExtension(String propertyName)`
Creates and returns a new instance of the executable extension identified by the named attribute of this configuration element.
`void`
IExecutableExtension.`setInitializationData(IConfigurationElement config, String propertyName, Object data)`
This method is called by the implementation of the method `IConfigurationElement.createExecutableExtension` on a newly constructed extension, passing it its relevant configuration information.
`abstract void`
PlatformLauncher.`startup(PlatformConfig config)`

## Uses of FrameworkException in org.eclipse.birt.core.framework.osgi

Methods in org.eclipse.birt.core.framework.osgi that throw FrameworkException
Modifier and Type
Method
Description
`protected void`
OSGILauncher.`setupSecurityPolicy()`
`void`
OSGILauncher.`startup(PlatformConfig config)`